UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
tnwg_dstat_peer_udp_receive_stats_t_stct Struct Reference

Structure containing Receive UDP statistics for a peer portal. Used by tnwg_portal_peer_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC. More...

`#include <tnwgdmonmsgs.h>`

## Data Fields
uint64_t | msgs_rcved
| Number of UDP datagrams received.
uint64_t | bytes_rcved
| Number of UDP datagram bytes received.
uint64_t | nak_pckts_sent
| Number of NAK packets sent.
uint64_t | naks_sent
| Number of individual NAKs sent.
uint64_t | lost
| Number of datagrams detected as lost.
uint64_t | ncfs_ignored
| NCFs received with reason code "ignored".
uint64_t | ncfs_shed
| NCFs received with reason code "shed".
uint64_t | ncfs_rx_delay
| NCFs received with reason code "rx_delay".
uint64_t | ncfs_unknown
| NCFs received with reason code "unknown".
uint64_t | nak_stm_min
| Minimun time (in milliseconds) for a lost packet to be recovered.
uint64_t | nak_stm_mean
| Mean time (in milliseconds) for packet loss recovery.
uint64_t | nak_stm_max
| Maximun time (in milliseconds) for a lost packet to be recovered.
uint64_t | nak_tx_min
| Minimun number of times a NAK was sent for a lost packet.
uint64_t | nak_tx_mean
| Mean number of times a NAK was sent for a lost packet.
uint64_t | nak_tx_max
| Maximum number of times a NAK was sent for a lost packet.
uint64_t | duplicate_data
| Number of duplicate datagrams received.
uint64_t | unrecovered_txw
| Number of datagrams unrecovered due to transmission windows advance.
uint64_t | unrecovered_tmo
| Number of datagrams unrecovered due to retransmission not received within the NAK generation-interval.
uint64_t | dgrams_dropped_size
| Number of datagrams dropped due to being smaller than the size designated in the datagram's size field.
uint64_t | dgrams_dropped_type
| Number of datagrams dropped due to bad packet type.
uint64_t | dgrams_dropped_version
| Number of datagrams dropped due to protocol version mismatch.
uint64_t | dgrams_dropped_hdr
| Number of datagrams dropped due to bad protocol header type.
uint64_t | dgrams_dropped_sid
| Number of datagrams dropped due to Session ID mismatch.
uint64_t | dgrams_dropped_other
| Number of datagrams dropped due to reasons other than those described above.

## Detailed Description

Structure containing Receive UDP statistics for a peer portal. Used by tnwg_portal_peer_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC.

The documentation for this struct was generated from the following file:

- tnwgdmonmsgs.h